private void GenerateTemplate()
{
	try
	{
				GenerateHeader(Server.MapPath("~/template"));

				IWordDocument template = new WordDocument();
				template.Open(Server.MapPath("../../template/audittemp.docx"), FormatType.Word2007);
				IWSection sesi = template.AddSection();
				IWParagraph paragraf = sesi.AddParagraph();

				BookmarksNavigator bookmark = new BookmarksNavigator(template);

				getProjectSummary();

				bookmark.MoveToBookmark("ProjectName");
				bookmark.DeleteBookmarkContent(true);
				bookmark.InsertText(projectName);

				bookmark.MoveToBookmark("Dari");
				bookmark.DeleteBookmarkContent(true);
				bookmark.InsertText(getParameterReport("AUDIT_REPORT_DARI"));

				DataTable dtTo = getToName();

				bookmark.MoveToBookmark("Kepada");
				bookmark.DeleteBookmarkContent(true);

				for (int i = 0; i < dtTo.Rows.Count; i++)
					bookmark.InsertText(dtTo.Rows[i]["TO_NAME"] + " - " + dtTo.Rows[i]["STAFF_POSITION"] + "\n");

				DataTable dtCC = getEngagementLetterCC();

				bookmark.MoveToBookmark("Tembusan");
				bookmark.DeleteBookmarkContent(true);

				for (int i = 0; i < dtCC.Rows.Count; i++)
					bookmark.InsertText(dtCC.Rows[i]["CC_NAME"] + "\n");

				bookmark.MoveToBookmark("Manager");
				bookmark.DeleteBookmarkContent(true);
				bookmark.InsertText(mic);

				bookmark.MoveToBookmark("Ketua");
				bookmark.DeleteBookmarkContent(true);
				bookmark.InsertText(teamLeader);

				DataTable dtTeamMember = getTeamMember();

				bookmark.MoveToBookmark("Anggota");
				bookmark.DeleteBookmarkContent(true);

				for (int i = 0; i < dtTeamMember.Rows.Count; i++)
					bookmark.InsertText(dtTeamMember.Rows[i]["FULL_NAME"] + "\n");

				bookmark.MoveToBookmark("TanggalAudit");
				bookmark.DeleteBookmarkContent(true);
				bookmark.InsertText(projectStart + " - " + projectEnd);

				bookmark.MoveToBookmark("NoLaporan");
				bookmark.DeleteBookmarkContent(true);
				bookmark.InsertText(letterNo);

				bookmark.MoveToBookmark("TanggalLaporan");
				bookmark.DeleteBookmarkContent(true);
				bookmark.InsertText(finalReport);

	//-----------------------------ISSUE STARTED------------------------------------			
				openHTMLTemp(bookmark, "Pendahuluan");
				openHTMLTemp(bookmark, "Summary");
				openHTMLTemp(bookmark, "Penutup");
	//-----------------------------ISSUE END------------------------------------
	
				template.Save("audit.docx", FormatType.Word2007, Response, HttpContentDisposition.Attachment);
	}
	catch (Exception ex)
	{
				Common.Common.MessageBox("Data cannot be export!");
	}
}

private void openHTMLTemp(){
			WordDocument sourceDoc = new WordDocument();
			IWSection section = sourceDoc.AddSection();
			IWParagraph para = section.AddParagraph();

			try
			{
				using (StreamReader read = new StreamReader(Server.MapPath("../../TempFile/tempPreReporting/temp" + data + curAuditProjectCodeID + ".html")))
				{
					string htmlText = read.ReadToEnd();
					para.AppendHTML(htmlText);
					para.ListFormat.RestartNumbering = true;
					sourceDoc.XHTMLValidateOption = XHTMLValidationType.Transitional;

					textBodyPart = new TextBodyPart(sourceDoc);
					ImportSourceDocToTextBodyPart(sourceDoc);

					bMark.MoveToBookmark(data);
					bMark.DeleteBookmarkContent(true);
					bMark.InsertTextBodyPart(textBodyPart);		
					bMark.InsertText("\n");
				}
			}
			catch (Exception ex)
			{
				Common.Common.MessageBox("Data " + data + " cannot be export!");
			}
}